<?php
// WizyTówka - funkcje.php

// zabezpieczenie <WT>
$_GET = str_replace('<WT>','',$_GET);
$_POST = str_replace('<WT>','',$_POST);

// otwieranie pliku
function dane_o($plik) {
  if (file_exists('dane/'.$plik.'.txt')) {
    $zwroc = file_get_contents('dane/'.$plik.'.txt');
    return $zwroc;
  }
  else
    echo "<p style=\"background: red; color: white; font-weight: bold; padding: 7px 10px; border-radius: 5px; box-shadow: 1px 1px 1px silver; position: fixed; bottom: 80px; left: 50px; right: 50px; font-family: Arial, Helvetica, sans-serif; font-size: 16px; z-index: 99; line-height: 20px;\">BŁĄD: nie odnaleziono pliku <em>dane/$plik.txt</em>. <span style=\"float: right; color: silver; font-size: 11px; font-weight: normal; margin-top: 0px;\">Proszę reinstalować WizyTówkę lub utworzyć brakujący plik.</span></p>\n";
}

// zapisywanie do pliku, oryginalna treść
function dane_s_e($tresc,$plik) {
  fwrite(fopen('dane/'.$plik.'.txt','w'),$tresc);
}

// zapisywanie do pliku, usuwanie zbędnych znaków
function dane_s($tresc,$plik) {
  $tresc = str_replace("\"",'&quot;',stripslashes($tresc));
  fwrite(fopen('dane/'.$plik.'.txt','w'),$tresc);
}

// resetowanie ustawień
function dane_reset() {
  fwrite(fopen('dane/.htaccess','w'),'Options -Indexes');
  if (!file_exists('dane/galerie')) { mkdir('dane/galerie'); fwrite(fopen('dane/galerie/.htaccess','w'),'Options -Indexes'); }
  if (!file_exists('dane/miniblogi')) { mkdir('dane/miniblogi'); fwrite(fopen('dane/miniblogi/.htaccess','w'),'Deny from all'); }
  if (!file_exists('dane/statystyki')) { mkdir('dane/statystyki'); fwrite(fopen('dane/statystyki/.htaccess','w'),'Deny from all'); }
  if (!file_exists('dane/strony')) { mkdir('dane/strony'); fwrite(fopen('dane/strony/.htaccess','w'),'Deny from all'); }
  if (!file_exists('dane/ustawienia')) { mkdir('dane/ustawienia'); fwrite(fopen('dane/ustawienia/.htaccess','w'),'Deny from all'); }
  if (!file_exists('dane/uzytkownik')) { mkdir('dane/uzytkownik'); fwrite(fopen('dane/uzytkownik/.htaccess','w'),'Deny from all'); }
  if (!file_exists('dane/wyglad')) { mkdir('dane/wyglad'); fwrite(fopen('dane/wyglad/.htaccess','w'),'Deny from all'); }
  // ---------------------------------------------------------------------
  dane_s('Stronę odwiedziło już <LICZNIK> osób.<WT>tak','statystyki/licznik');
  dane_s('','statystyki/ostatnia_data');
  dane_s('','statystyki/ostatnie_ip');
  dane_s('0<WT>—<WT>0','statystyki/podstawowe');
  dane_s('<WT>','statystyki/zewnetrzne');
  // ------------------------------------------
  dane_s('<WT>','strony/kolejnosc');
  dane_s('<WT>','strony/wszystko');
  if (!file_exists('dane/strony/strona-glowna')) { mkdir('dane/strony/strona-glowna'); }
  dane_s('strona','strony/strona-glowna/typ');
  dane_s('Strona główna','strony/strona-glowna/tytul');
  dane_s_e('<h3>Przykładowa strona</h3><p>To jest przykładowa strona główna. Możesz tutaj napisać coś o sobie.</p><p>Aby edytować tę stronę, zaloguj się do <a href="admin.php">panelu administracyjnego</a>.</p>','strony/strona-glowna/strona');
  // ------------------------------------------
  dane_s('<WT><TYTUŁ-PODSTRONY><WT><WT><WT>j.m.Y, G:i<WT>','ustawienia/glowne');
  dane_s('<WT>','ustawienia/google');
  dane_s('tak<WT>tak','ustawienia/typografia');
  dane_s('tak<WT><WT><WT>tak<WT>','ustawienia/uzytkownik');
  // ------------------------------------------
  dane_s('','uzytkownik/haslo');
  dane_s('','uzytkownik/kod');
  // ------------------------------------------
  dane_s('494949<WT>FCF9FF<WT>600<WT>16<WT>Arial<WT>','wyglad/podstawowe');
  dane_s('Domyslny','wyglad/motyw');
  dane_s_e(file_get_contents('system/motywy/Domyslny/szablon.txt'),'wyglad/szablon');
  // ------------------------------------------
  fwrite(fopen('dane/styl.css','w'),file_get_contents('system/motywy/Domyslny/styl.css'));
}

// sprawdzanie instalacji
function dane_sprawdz() {
  if (file_exists('dane') and file_exists('dane/galerie') and file_exists('dane/miniblogi') and file_exists('dane/statystyki') and file_exists('dane/strony') and file_exists('dane/ustawienia') and file_exists('dane/uzytkownik') and file_exists('dane/wyglad')) {
    return true;
  }
  else
    return false;
}

// uproszczanie nazwy (usuwanie polskich znaków, spacji)
function prosta_nazwa($nazwa) {
  $z[0] = 'ż'; $na[0] = 'z';  $z[1] = 'ó'; $na[1] = 'o';  $z[2] = 'ł'; $na[2] = 'l';  $z[3] = 'ć'; $na[3] = 'c';  $z[4] = 'ę'; $na[4] = 'e';
  $z[5] = 'ś'; $na[5] = 's';  $z[6] = 'ą'; $na[6] = 'a';  $z[7] = 'ź'; $na[7] = 'z';  $z[8] = 'ń'; $na[8] = 'n';
  $z[9] = 'Ż'; $na[9] = 'z';  $z[10] = 'Ó'; $na[10] = 'o';  $z[11] = 'Ł'; $na[11] = 'l';  $z[12] = 'Ć'; $na[12] = 'c';  $z[13] = 'Ę'; $na[13] = 'e';
  $z[14] = 'Ś'; $na[14] = 's';  $z[15] = 'Ą'; $na[15] = 'a';  $z[16] = 'Ź'; $na[16] = 'z';  $z[17] = 'Ń'; $na[17] = 'n';
  $z[18] = ' '; $na[18] = '-';  $z[19] = ','; $na[19] = '';  $z[20] = '!'; $na[20] = '';  $z[21] = '?'; $na[21] = '';
  $zwroc = str_replace($z,$na,strtolower($nazwa));
  return $zwroc;
}

// sprawdzanie poprawności adresu
function sprawdz_adres($adres) {
  $poprawnosc = preg_match('/^http\:\/\/[a-zA-Z\.\/\-_0-9]+$/',$adres);
  if ($poprawnosc) return true;    elseif (!$poprawnosc) return false;
}

// wyświetlanie daty
function data($oryginalna) {
  if (function_exists(date_create_from_format)) {
    $glowne = explode('<WT>',dane_o('ustawienia/glowne'));
    $zwroc = date_format(date_create_from_format('j.m.Y, G:i',$oryginalna),$glowne[4]);
  }
  elseif (!function_exists(date_create_from_format))
    $zwroc = $oryginalna;
  return $zwroc;
}

// poprawa typograficzna tekstu
function poprawa($tekst) {
  $typografia = explode('<WT>',dane_o('ustawienia/typografia'));
  $zwroc = $tekst;
  $z[0] = ':)'; $na[0] = "&#9786;";  $z[1] = ':('; $na[1] = "&#9785;";
  $zwroc = str_replace($z,$na,$zwroc);
  if ($typografia[0] == 'tak') {
    $z = '';  $na = '';         $z[0] = '&quot;'; $na[0] = "\"";
    $z[1] = ' "'; $na[1] = ' &#8222;';  $z[2] = '" '; $na[2] = '&#8221; ';  $z[3] = '".'; $na[3] = '&#8221;.';  $z[4] = '",'; $na[4] = '&#8221;,';
    $z[5] = ' - '; $na[5] = ' &ndash; ';  $z[6] = "'"; $na[6] = '&rsquo;';  $z[7] = '...'; $na[7] = '&hellip;';
    $z[8] = '&#8221; />'; $na[8] = '" />';  $z[9] = '&#8221; title='; $na[9] = '" title=';    $z[10] = '&#8221; src='; $na[10] = '" src=';      $z[11] = '&#8221; target='; $na[11] = '" target=';      $z[12] = '&#8221; alt='; $na[12] = '" alt=';      $z[13] = '&#8221; align='; $na[13] = '" align=';      $z[14] = '&#8221; href='; $na[14] = '" href=';
    $zwroc = str_replace($z,$na,$zwroc);
  }
  if ($typografia[1] == 'tak') {
    $z = '';  $na = '';
    $z[0] = ' a '; $na[0] = ' a&nbsp;';    $z[1] = ' i '; $na[1] = ' i&nbsp;';    $z[2] = ' o '; $na[2] = ' o&nbsp;';    $z[3] = ' u '; $na[3] = 'u&nbsp;';    $z[4] = ' w '; $na[4] = ' w&nbsp;';    $z[5] = ' z '; $na[5] = ' z&nbsp;';    $z[6] = ' A '; $na[6] = ' A&nbsp;';    $z[7] = ' I '; $na[7] = ' I&nbsp;';    $z[8] = ' O '; $na[8] = ' O&nbsp;';    $z[9] = ' U '; $na[9] = 'U&nbsp;';    $z[10] = ' W '; $na[10] = ' W&nbsp;';    $z[11] = ' Z '; $na[11] = ' Z&nbsp;';
    $zwroc = str_replace($z,$na,$zwroc);
  }
  $zwroc = trim($zwroc);
  return $zwroc;
}

// edytor NicEdit 
function edytor() {
  $uzytkownik = explode('<WT>',dane_o('ustawienia/uzytkownik'));
  if ($uzytkownik[0] == 'tak') {
    echo "    <script type=\"text/javascript\">
      bkLib.onDomLoaded(function() {
        new nicEditor({buttonList : ['bold','italic','underline','left','center','right','justify','ul','ol','link','unlink','image','bgcolor','hr','fontFormat','xhtml'], iconsPath : 'system/img/nicEditorIcons.gif', xhtml : true,  maxHeight : 550}).panelInstance('edytor');
      });
    </script>\n";
  }
}